import { DependencyList } from "react";
/**
 * Giving a function that returns a value or promise, this hook provides
 * some extra metadata for users to use. Metadata is only computed if you
 * used it, therefore, any not used metadata will not affect your component's
 * rendering.
 */
export declare function useMeta<T>(fn: () => T | Promise<T>, deps?: DependencyList): {
    readonly loading: boolean;
    readonly data: T | undefined;
    readonly error: any;
    refetch: () => Promise<void>;
};
