/// <reference types="node" />
export interface Timers {
    setTimeout(handler: TimerHandler, timeout?: number | undefined, ...args: any[]): number;
    setInterval(handler: TimerHandler, timeout?: number | undefined, ...args: any[]): number;
    setImmediate(callback: (...args: any[]) => void, ...args: any[]): NodeJS.Immediate;
    requestAnimationFrame(callback: FrameRequestCallback): number;
    clearTimeout(handle?: number | undefined): void;
    clearInterval(handle?: number | undefined): void;
    clearImmediate(id: NodeJS.Immediate): void;
    cancelRequestAnimationFrame(handle: number): void;
}
/**
 * Provide special versions of the different timers so they're
 * cleared/canceled upon component unmount automatically.
 */
export declare function useTimers(): Timers;
